Bug 189593 - Grubby gets confused when adding a new kernel entry to yaboot.conf when existing kernel entries individually specify partition.
Grubby gets confused when adding a new kernel entry to yaboot.conf when exist...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 09:54 EDT by Joseph Sacco
Modified: 2008-05-06 20:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Sacco 2006-04-21 09:54:11 EDT
Grubby gets confused when adding a new kernel entry to yaboot.conf when existing
kernel entries individually specify partition.

What happens is all of the 'partition=' lines are removed from the individual
kernel entries and collected together near the top to the file below the
'magicboot=' line.  For example,

# yaboot.conf generated by anaconda

boot=/dev/sdb2
ofboot=/pci@f2000000/ATTO,ExpressPCIProUL3D@14/@1:2
init-message=Welcome to Fedora Core!\nHit <TAB> for boot options
timeout=80
install=/usr/lib/yaboot/yaboot
delay=5
enablecdboot
enableofboot
enablenetboot
macosx=/pci@f2000000/ATTO,ExpressPCIProUL3D@14/@2:3
magicboot=/usr/lib/yaboot/ofboot
        partition=3
        partition=3
        partition=3
        partition=7
                         ...

Note: I am running three SCSI disks, each with a different OS. The partition
specifier in each kernel entry is absolutely necessary.

-Joseph
Comment 1 Joseph Sacco 2007-01-04 10:08:23 EST
This issue persists in the latest version of rawhide as of 4Jan07

-Joseph
Comment 2 Mark McLoughlin 2007-07-04 12:05:25 EDT
Moving to mkinitrd where grubby lives
Comment 3 Joseph Sacco 2007-07-04 12:16:20 EDT
The problem persists as of 4July07.  

-Joseph
Comment 4 Bug Zapper 2008-04-03 13:12:42 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:28:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.